package de.ozgcloud.eingang.xta;

import java.time.ZonedDateTime;

import static de.ozgcloud.eingang.xta.XtaMessageTestFactory.MESSAGE_ID;

class VersammlungsanzeigeMetaDataTestFactory {

	private static final String VERSAMMLUNGSANZEIGE_MESSAGE_TYPE = "fim.S17000652.17000652001004";
	static final ZonedDateTime ORIGIN = ZonedDateTime.parse("2024-06-28T09:49:52.4942149+02:00");

	static XtaMessageMetaData create() {
		return createBuilder().build();
	}

	static XtaMessageMetaData.XtaMessageMetaDataBuilder createBuilder() {
		return XtaMessageMetaData.builder()
				.messageId(MESSAGE_ID)
				.messageType(VERSAMMLUNGSANZEIGE_MESSAGE_TYPE)
				.origin(ORIGIN);
	}
}
